// Import the JDBC classes
import java.sql.*;

// Import the java classes used in applets
import java.awt.*;
import java.io.*;
import java.util.*;

public class JdbcApplet extends java.applet.Applet
{
  // The driver to load
  static final String driver_class = "oracle.jdbc.driver.OracleDriver";

  // The connect string 
  static final String connect_string = "jdbc:oracle:thin:system/manager@192.168.20.201:1521:orcl";

  // The button to push for executing the query
  Button execute_button;

  // The place where to dump the query result
  TextArea output;

  // The connection to the database
  Connection conn;

  // Create the User Interface
  public void init ()
  {
    this.setLayout (new BorderLayout ());
    Panel p = new Panel ();
    p.setLayout (new FlowLayout (FlowLayout.LEFT));
    execute_button = new Button ("Generate session keys");
    p.add (execute_button);
    this.add ("North", p);
    output = new TextArea (10, 60);
    this.add ("Center", output);
  }

  // Do the work
  public boolean action (Event ev, Object arg)
  {
    if (ev.target == execute_button)
    {
      try
      {
	// Clear the output area
	output.setText ("");

	// See if we need to open the connection to the database
	if (conn == null)
	{
	  // Load the JDBC driver
	  output.appendText ("Loading JDBC driver " + driver_class + "\n");
	  Class.forName (driver_class);

	  output.appendText ("Connecting to " + connect_string + "\n");
	  int count = 0;
	  while(true)
	  {
	    count++;
	    // Connect to the databse
	    conn = DriverManager.getConnection (connect_string);
	    output.appendText("Generating session key #" + count + "\n");
	    // Disconnect
	    conn.close();
	    //output.appendText ("Disconnected\n");
	  }	  
	}
      }
      catch (Exception e)
      {
	// Oops
	output.appendText (e.getMessage () + "\n");
	return false;
      }
    }
    return true;
  }
}